Subject: bug#8314: 24.0.50; emacsclient -c does the wrong thing when compiled without X

From: PJ Weisberg <[email-masked]>
Date: Sun, 5 Jun 2011 14:09:30 -0700

On Sat, Jun 4, 2011 at 2:35 PM, Chong Yidong <[email-masked]> wrote:

> What if the user wants emacsclient to exit if no graphical frame can be
> created?

Perhaps I'm guilty of the sin of assuming everyone uses the system the
way I use it.  I can think of very few situations where I want to open
an Emacs frame, but I'd rather have it fail than open in a terminal.

In any case, I think Emacs without X support should behave the same as
Emacs in an X-less environment.  You know a priori that we're not
going to open a graphical frame.

-PJ